import{s as dt,f as mt,n as ft,o as vt}from"../chunks/scheduler.63274e7e.js";import{S as gt,i as ht,g as n,s as a,r as V,A as Ct,h as r,f as i,c as l,j as ct,u as K,x as s,k as N,y as xt,a as o,v as Q,d as J,t as W,w as X}from"../chunks/index.bf3f3f8e.js";import{H as Y}from"../chunks/Heading.500d2301.js";function zt(ye){let p,Z,O,ee,c,te,d,Fe="Gentile studente,",ie,m,Ge=`Benvenuto a questo corso sull’utilizzo dei transformers per l’audio. Più di una volta i transformers si sono dimostrati una
delle architetture di deep learning più potenti e versatili, capaci di ottenere risultati che raggiungono lo state-of-the-art
in un’ampia gamma di compiti, che comprendono la comprensione naturale del linguaggio, computer vision, e più recentemente, l’elaborazione audio.`,oe,f,Re=`In questo corso, esploreremo come i transformers possono essere applicati ai dati audio. Imparerai come usarli per affrontare un’ampia gamma di problemi
relativi all’audio. Che tu sia interessato nel riconoscimento vocale, nella classificazione audio, o nella generazione vocale da testo, i transformers e
questo corso fanno al caso tuo.`,ae,v,Be="Per darti un assaggio di cosa possono fare questi modelli, pronuncia qualche parola nella demo qui sotto e guarda il modello trascriverlo in tempo reale!",le,u,je="",ke,ne,g,De=`Durante questo corso, imparerai le specifiche dell’elaborazione di dati audio, le differenti architetture dei transformers,
e addestrerai i tuoi transformer audio personali sfruttando potenti modelli pre-addestrati.`,re,h,Ne=`Questo corso è pensato per persone con un background in deep learning, e familiarita generale sui transformers.
Non è richiesta nessuna conoscenza nell’elaborazione di dati audio. Se hai bisogno di rinfrescarti la memoria riguardo il funzionamento dei transformers, guarda
il nostro <a href="https://huggingface.co/course/chapter1/1" rel="nofollow">Corso di NLP</a> che va nel dettaglio a riguardo delle basi del funzionamento dei transformers.`,se,C,ue,x,Oe="<strong>Sanchit Gandhi, Machine Learning Research Engineer at Hugging Face</strong>",pe,z,Ue=`Ciao! Sono Sanchit e sono un machine learning research engineer per l’audio nel team di open-source a Hugging Face 🤗.
Il mio focus primario è il riconoscimento vocale automatico e la traduzione, con l’obbiettivo attuale di rendere i modelli odierni più veloci,
leggeri e facili da usare.`,ce,_,Ve="<strong>Matthijs Hollemans, Machine Learning Engineer at Hugging Face</strong>",de,b,Ke=`Sono Matthijs, e sono un machine learning engineer per l’audio nel team di open source a Hugging Face. Sono anche l’autore
di un libro su come scrivere sintetizzatori sonori, e creo plug-in audio nel tempo libero.`,me,$,Qe="<strong>Maria Khalusova, Documentation &amp; Courses at Hugging Face</strong>",fe,P,Je=`Sono Maria, e creo contenuti educativi e documentazione per rendere Transformers e altri strumenti open-source sempre piu accessibili.
Spiego argomenti tecnici complessi e aiuto le persone a familiarizzare con tecnologie all’avanguardia.`,ve,T,We="<strong>Vaibhav Srivastav, ML Developer Advocate Engineer at Hugging Face</strong>",ge,H,Xe=`Sono Vaibhav (VB) e sono un Developer Advocate Engineer per l’Audio nel team di Open Source a Hugging Face. Io ricerco
soluzioni di Text to Speech a basse risorse e aiuto a portare applicazioni dello SoTA nella ricerca sulle tecnologie di sintesi vocale al pubblico.`,he,L,Ce,M,Ye="Il corso è suddiviso in vari capitoli che trattano argomenti specifici in profondità:",xe,w,Ze=`<li><a href="https://huggingface.co/learn/audio-course/chapter1" rel="nofollow">Capitolo 1</a>: impara le procedure specifiche di elaborazione di dati audio, comprese tecniche di elaborazione del suono e preparazione dei dati.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter2" rel="nofollow">Capitolo 2</a>: familiarizza con le applicazioni audio e impara ad usare le pipeline di 🤗 Transformers per vari compiti, come la
classificazione audio e il riconoscimento vocale.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter3" rel="nofollow">Capitolo 3</a>: esplora le architetture dei transformer audio, impara le loro differenze, e quali compiti sono i piu adatti ad esse.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter4" rel="nofollow">Capitolo 4</a>: impara a costruire il tuo modello di classificazione di generi musicali.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter5" rel="nofollow">Capitolo 5</a>: approfondisci sul tema del riconoscimento vocale e costruisci un modello per trascrivere le registrazioni dei meeting.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter6" rel="nofollow">Capitolo 6</a>: impara a generare discorsi parlati dal testo.</li> <li><a href="https://huggingface.co/learn/audio-course/chapter7" rel="nofollow">Capitolo 7</a>: impara a costruire applicativi audio nel mondo reale coi transformer.</li>`,ze,q,et=`Ogni capitolo comprende una parte teorica, dove otterrai una conoscenza in profondità sull’argomento e tecniche trattate.
Per tutta la durata del corso, forniremo dei quiz per aiutarti a testare le tue conoscenze e rinforzare il tuo apprendimento.
Alcuni capitoli includono anche delle esercitazioni pratiche, dove avrai l’opportunità di mettere in pratica le nozioni apprese.`,_e,S,tt=`Entro la fine del corso, avrai acquisito dei solidi fondamentali nell’utilizzo di transformers sui dati audio e sarai ben equipaggiato per
applicare queste tecniche ad un ampia gamma di problemi relativi all’audio.`,be,A,it="I capitoli del corso saranno rilasciati in vari blocchi consecutivi, seguendo questo programma:",$e,E,ot="<thead><tr><th>Capitoli</th> <th>Data di pubblicazione</th></tr></thead> <tbody><tr><td>Capitolo 0, Capitolo 1, e Capitolo 2</td> <td>14 Giugno, 2023</td></tr> <tr><td>Capitolo 3, Capitolo 4</td> <td>21 Giugno, 2023</td></tr> <tr><td>Capitolo 5</td> <td>28 Giugno, 2023</td></tr> <tr><td>Capitolo 6</td> <td>5 Luglio, 2023</td></tr> <tr><td>Capitolo 7, Capitolo 8</td> <td>12 Luglio, 2023</td></tr></tbody>",Pe,I,Te,y,at=`Non c’è un modo giusto o sbagliato di affrontare questo corso. Tutto il materiale del corso è 100% gratuito, pubblico ed open-source.
Puoi affrontare il corso al ritmo che ritieni più opportuno, tuttavia, raccomandiamo di seguire i capitoli in ordine.`,He,F,lt="Se vuoi acquisire un certificato di completamento del corso, hai due opzioni:",Le,G,nt="<thead><tr><th>Tipo di certificato</th> <th>Requisiti</th></tr></thead> <tbody><tr><td>Certificato di completamento</td> <td>Completa l’ 80% delle esercitazioni pratiche secondo le istruzioni.</td></tr> <tr><td>Certificazione con lode</td> <td>Completa il 100% delle esercitazioni pratiche secondo le istruzioni.</td></tr></tbody>",Me,R,rt=`Ogni esercitazione pratica descrive i suoi criteri di completamento. Una volta che hai completato un numero sufficiente di esercitazioni pratiche
per qualificarti per una delle certificazioni, fai riferimento all’ultimo capitolo del corso per sapere come ottenere il tuo certificato. Buona fortuna!`,we,B,qe,j,st=`I capitoli di questo corso saranno distribuiti man mano in molteplici settimane. Ti incoraggiamo a registrarti al corso per ricevere aggiornamenti quando
nuovi capitoli saranno rilasciati. Gli studenti che si registrano per gli aggiornamenti del corso saranno i primi a ricevere informazioni riguardo ad eventi
speciali dal vivo che programmiamo di organizzare.`,Se,k,ut='<a href="http://eepurl.com/insvcI" rel="nofollow">REGISTRATI</a>',Ae,D,pt="Goditi il corso!",Ee,U,Ie;return c=new Y({props:{title:"Benvenuta/o al corso Audio di Hugging Face!",local:"benvenutao-al-corso-audio-di-hugging-face",headingTag:"h1"}}),C=new Y({props:{title:"Incontra il team del corso",local:"incontra-il-team-del-corso",headingTag:"h2"}}),L=new Y({props:{title:"Struttura del corso",local:"struttura-del-corso",headingTag:"h2"}}),I=new Y({props:{title:"Percorsi d’apprendimento e certificazione",local:"percorsi-dapprendimento-e-certificazione",headingTag:"h2"}}),B=new Y({props:{title:"Registrati al corso",local:"registrati-al-corso",headingTag:"h2"}}),{c(){p=n("meta"),Z=a(),O=n("p"),ee=a(),V(c.$$.fragment),te=a(),d=n("p"),d.textContent=Fe,ie=a(),m=n("p"),m.textContent=Ge,oe=a(),f=n("p"),f.textContent=Re,ae=a(),v=n("p"),v.textContent=Be,le=a(),u=n("iframe"),u.innerHTML=je,ne=a(),g=n("p"),g.textContent=De,re=a(),h=n("p"),h.innerHTML=Ne,se=a(),V(C.$$.fragment),ue=a(),x=n("p"),x.innerHTML=Oe,pe=a(),z=n("p"),z.textContent=Ue,ce=a(),_=n("p"),_.innerHTML=Ve,de=a(),b=n("p"),b.textContent=Ke,me=a(),$=n("p"),$.innerHTML=Qe,fe=a(),P=n("p"),P.textContent=Je,ve=a(),T=n("p"),T.innerHTML=We,ge=a(),H=n("p"),H.textContent=Xe,he=a(),V(L.$$.fragment),Ce=a(),M=n("p"),M.textContent=Ye,xe=a(),w=n("ul"),w.innerHTML=Ze,ze=a(),q=n("p"),q.textContent=et,_e=a(),S=n("p"),S.textContent=tt,be=a(),A=n("p"),A.textContent=it,$e=a(),E=n("table"),E.innerHTML=ot,Pe=a(),V(I.$$.fragment),Te=a(),y=n("p"),y.textContent=at,He=a(),F=n("p"),F.textContent=lt,Le=a(),G=n("table"),G.innerHTML=nt,Me=a(),R=n("p"),R.textContent=rt,we=a(),V(B.$$.fragment),qe=a(),j=n("p"),j.textContent=st,Se=a(),k=n("p"),k.innerHTML=ut,Ae=a(),D=n("p"),D.textContent=pt,Ee=a(),U=n("p"),this.h()},l(e){const t=Ct("svelte-u9bgzb",document.head);p=r(t,"META",{name:!0,content:!0}),t.forEach(i),Z=l(e),O=r(e,"P",{}),ct(O).forEach(i),ee=l(e),K(c.$$.fragment,e),te=l(e),d=r(e,"P",{"data-svelte-h":!0}),s(d)!=="svelte-1hl1xzs"&&(d.textContent=Fe),ie=l(e),m=r(e,"P",{"data-svelte-h":!0}),s(m)!=="svelte-h1rxdg"&&(m.textContent=Ge),oe=l(e),f=r(e,"P",{"data-svelte-h":!0}),s(f)!=="svelte-1n2oic5"&&(f.textContent=Re),ae=l(e),v=r(e,"P",{"data-svelte-h":!0}),s(v)!=="svelte-se5rd"&&(v.textContent=Be),le=l(e),u=r(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0,"data-svelte-h":!0}),s(u)!=="svelte-sv748y"&&(u.innerHTML=je),ne=l(e),g=r(e,"P",{"data-svelte-h":!0}),s(g)!=="svelte-3udlyg"&&(g.textContent=De),re=l(e),h=r(e,"P",{"data-svelte-h":!0}),s(h)!=="svelte-1lc6uw9"&&(h.innerHTML=Ne),se=l(e),K(C.$$.fragment,e),ue=l(e),x=r(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-1owasxi"&&(x.innerHTML=Oe),pe=l(e),z=r(e,"P",{"data-svelte-h":!0}),s(z)!=="svelte-4s1ulo"&&(z.textContent=Ue),ce=l(e),_=r(e,"P",{"data-svelte-h":!0}),s(_)!=="svelte-pp2gt5"&&(_.innerHTML=Ve),de=l(e),b=r(e,"P",{"data-svelte-h":!0}),s(b)!=="svelte-1bennld"&&(b.textContent=Ke),me=l(e),$=r(e,"P",{"data-svelte-h":!0}),s($)!=="svelte-7xtmli"&&($.innerHTML=Qe),fe=l(e),P=r(e,"P",{"data-svelte-h":!0}),s(P)!=="svelte-1imwudn"&&(P.textContent=Je),ve=l(e),T=r(e,"P",{"data-svelte-h":!0}),s(T)!=="svelte-1hddh27"&&(T.innerHTML=We),ge=l(e),H=r(e,"P",{"data-svelte-h":!0}),s(H)!=="svelte-6kxdn4"&&(H.textContent=Xe),he=l(e),K(L.$$.fragment,e),Ce=l(e),M=r(e,"P",{"data-svelte-h":!0}),s(M)!=="svelte-1ptwfzj"&&(M.textContent=Ye),xe=l(e),w=r(e,"UL",{"data-svelte-h":!0}),s(w)!=="svelte-1hq20ff"&&(w.innerHTML=Ze),ze=l(e),q=r(e,"P",{"data-svelte-h":!0}),s(q)!=="svelte-102az9n"&&(q.textContent=et),_e=l(e),S=r(e,"P",{"data-svelte-h":!0}),s(S)!=="svelte-1xwmehd"&&(S.textContent=tt),be=l(e),A=r(e,"P",{"data-svelte-h":!0}),s(A)!=="svelte-14tjylk"&&(A.textContent=it),$e=l(e),E=r(e,"TABLE",{"data-svelte-h":!0}),s(E)!=="svelte-k4xv95"&&(E.innerHTML=ot),Pe=l(e),K(I.$$.fragment,e),Te=l(e),y=r(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-c4o3c0"&&(y.textContent=at),He=l(e),F=r(e,"P",{"data-svelte-h":!0}),s(F)!=="svelte-19vuxjb"&&(F.textContent=lt),Le=l(e),G=r(e,"TABLE",{"data-svelte-h":!0}),s(G)!=="svelte-d94090"&&(G.innerHTML=nt),Me=l(e),R=r(e,"P",{"data-svelte-h":!0}),s(R)!=="svelte-xs849w"&&(R.textContent=rt),we=l(e),K(B.$$.fragment,e),qe=l(e),j=r(e,"P",{"data-svelte-h":!0}),s(j)!=="svelte-1x9zh17"&&(j.textContent=st),Se=l(e),k=r(e,"P",{"data-svelte-h":!0}),s(k)!=="svelte-1x8v84y"&&(k.innerHTML=ut),Ae=l(e),D=r(e,"P",{"data-svelte-h":!0}),s(D)!=="svelte-1uvbmlw"&&(D.textContent=pt),Ee=l(e),U=r(e,"P",{}),ct(U).forEach(i),this.h()},h(){N(p,"name","hf:doc:metadata"),N(p,"content",_t),mt(u.src,ke="https://openai-whisper.hf.space")||N(u,"src",ke),N(u,"frameborder","0"),N(u,"width","850"),N(u,"height","450")},m(e,t){xt(document.head,p),o(e,Z,t),o(e,O,t),o(e,ee,t),Q(c,e,t),o(e,te,t),o(e,d,t),o(e,ie,t),o(e,m,t),o(e,oe,t),o(e,f,t),o(e,ae,t),o(e,v,t),o(e,le,t),o(e,u,t),o(e,ne,t),o(e,g,t),o(e,re,t),o(e,h,t),o(e,se,t),Q(C,e,t),o(e,ue,t),o(e,x,t),o(e,pe,t),o(e,z,t),o(e,ce,t),o(e,_,t),o(e,de,t),o(e,b,t),o(e,me,t),o(e,$,t),o(e,fe,t),o(e,P,t),o(e,ve,t),o(e,T,t),o(e,ge,t),o(e,H,t),o(e,he,t),Q(L,e,t),o(e,Ce,t),o(e,M,t),o(e,xe,t),o(e,w,t),o(e,ze,t),o(e,q,t),o(e,_e,t),o(e,S,t),o(e,be,t),o(e,A,t),o(e,$e,t),o(e,E,t),o(e,Pe,t),Q(I,e,t),o(e,Te,t),o(e,y,t),o(e,He,t),o(e,F,t),o(e,Le,t),o(e,G,t),o(e,Me,t),o(e,R,t),o(e,we,t),Q(B,e,t),o(e,qe,t),o(e,j,t),o(e,Se,t),o(e,k,t),o(e,Ae,t),o(e,D,t),o(e,Ee,t),o(e,U,t),Ie=!0},p:ft,i(e){Ie||(J(c.$$.fragment,e),J(C.$$.fragment,e),J(L.$$.fragment,e),J(I.$$.fragment,e),J(B.$$.fragment,e),Ie=!0)},o(e){W(c.$$.fragment,e),W(C.$$.fragment,e),W(L.$$.fragment,e),W(I.$$.fragment,e),W(B.$$.fragment,e),Ie=!1},d(e){e&&(i(Z),i(O),i(ee),i(te),i(d),i(ie),i(m),i(oe),i(f),i(ae),i(v),i(le),i(u),i(ne),i(g),i(re),i(h),i(se),i(ue),i(x),i(pe),i(z),i(ce),i(_),i(de),i(b),i(me),i($),i(fe),i(P),i(ve),i(T),i(ge),i(H),i(he),i(Ce),i(M),i(xe),i(w),i(ze),i(q),i(_e),i(S),i(be),i(A),i($e),i(E),i(Pe),i(Te),i(y),i(He),i(F),i(Le),i(G),i(Me),i(R),i(we),i(qe),i(j),i(Se),i(k),i(Ae),i(D),i(Ee),i(U)),i(p),X(c,e),X(C,e),X(L,e),X(I,e),X(B,e)}}}const _t='{"title":"Benvenuta/o al corso Audio di Hugging Face!","local":"benvenutao-al-corso-audio-di-hugging-face","sections":[{"title":"Incontra il team del corso","local":"incontra-il-team-del-corso","sections":[],"depth":2},{"title":"Struttura del corso","local":"struttura-del-corso","sections":[],"depth":2},{"title":"Percorsi d’apprendimento e certificazione","local":"percorsi-dapprendimento-e-certificazione","sections":[],"depth":2},{"title":"Registrati al corso","local":"registrati-al-corso","sections":[],"depth":2}],"depth":1}';function bt(ye){return vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ht extends gt{constructor(p){super(),ht(this,p,bt,zt,dt,{})}}export{Ht as component};
